# SPDX-FileCopyrightText: Copyright (c) 2024 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# SPDX-License-Identifier: Apache-2.0
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

ace-configurator:
  configurator:
    config: |
      ---
      services:
        a2f-a2f-deployment:
          a2f-configs-cm:
            refresh_policy:
              type: Restart
            config_type: Cm
        ia-omniverse-renderer-microservice-deployment:
          ia-omniverse-renderer-microservice-params:
            refresh_policy:
              type: Restart
            config_type: Cm
          ia-omniverse-renderer-microservice-configs:
            refresh_policy:
              type: Restart
            config_type: Cm
          asset-volume:
            container_name: ms
            refresh_policy:
              type: Http
              url: http://ia-omniverse-renderer-microservice:8021/reload_scene
            config_type: Pv
        ia-animation-graph-microservice-deployment:
          ia-animation-graph-microservice-configs:
            refresh_policy:
              type: Restart
            config_type: Cm
          ia-animation-graph-microservice-params:
            refresh_policy:
              type: Restart
            config_type: Cm
          asset-volume:
            refresh_policy:
              type: Restart
            config_type: Pv
audio2face:
  ucfVisibleGpus: [0]
  telemetry:
    metrics_enabled: true
    metrics_exporter: prometheus
animation-graph:
  ucfVisibleGpus: [0]
  replicas: 1
  resourceDownload:
    remoteResourcePath: "nvidia/ace/default-avatar-scene:1.1.4"
    secretName: ngc-api-key-secret
    image: nvcr.io/nvidia/ace/ngc-resource-downloader:1.2.0
avatar-renderer-a:
  ucfVisibleGpus: [0]
  replicas: 1
  resourceDownload:
    remoteResourcePath: "nvidia/ace/default-avatar-scene:1.1.4"
    secretName: ngc-api-key-secret
    image: nvcr.io/nvidia/ace/ngc-resource-downloader:1.2.0
  livestream:
    rtpNegotiationHostMockingEnabled: true
    host: "127.0.0.1"
    videoPort: 9020
    audioPort: 9021
avatar-renderer-b:
  ucfVisibleGpus: [1]
  replicas: 1
  resourceDownload:
    remoteResourcePath: "nvidia/ace/default-avatar-scene:1.1.4"
    secretName: ngc-api-key-secret
    image: nvcr.io/nvidia/ace/ngc-resource-downloader:1.2.0
  livestream:
    rtpNegotiationHostMockingEnabled: true
    host: "127.0.0.1"
    videoPort: 9030
    audioPort: 9031
avatar-renderer-c:
  ucfVisibleGpus: [2]
  replicas: 1
  resourceDownload:
    remoteResourcePath: "nvidia/ace/default-avatar-scene:1.1.4"
    secretName: ngc-api-key-secret
    image: nvcr.io/nvidia/ace/ngc-resource-downloader:1.2.0
  livestream:
    rtpNegotiationHostMockingEnabled: true
    host: "127.0.0.1"
    videoPort: 9040
    audioPort: 9041
